
///<reference path="./traditTpl.ts" />

interface DirEntry {
    n: string;
    c?: any;
    m?: Date | undefined;
    s?: number | undefined;
}

interface RequestCtx {
    path: string;
    status: number;
    set: (headers: any) => void;
    body: any;
    query: any;
    method: 'GET' | 'POST' | 'OPTION';
    type: string;
}
interface FeApiFileListArg0 {
    path: string;
    offset?: string;
    limit?: string;
    search?: string;
    omit?: string;
    sse?: string;
}

interface frontEndApis {
    file_list: (arg0: FeApiFileListArg0, ctx: RequestCtx) => Promise<{ list: DirEntry[] }>;
}
